Subject: Re: [netlmm] #25: MN-AR interface specifying REDIRECT behavior

From: netlmm-tracker <[email-masked]>
Date: Fri, 02 Jun 2006 11:14:34 -0000

#25: MN-AR interface specifying REDIRECT behavior
-----------------------------------------+----------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  defect                      |      Status:  closed                 
  Priority:  major                       |   Milestone:                         
 Component:  draft-ietf-netlmm-mn-ar-if  |     Version:                         
Resolution:  fixed                       |    Keywords:                         
-----------------------------------------+----------------------------------
Comment (by [email-masked]):

 On Wednesday 31 May 2006 17:52, Templin, Fred L wrote:
 > > 4.4.x.  Forwarding Packets
 > >
 > > An AR SHOULD NOT forward packets sent by a MN to a link-local
 > > address.
 >
 > This might not square with the way link-local *multicast*
 > will be handled in the multi-link subnet NETLMM world.
 > AFAICT, the subject of multicast for NETLMM has not been
 > explored yet in any detail and as such I am not aware of
 > any consensus on that.
 >
 > Do we know what the behavior should be for link-local
 > multicast, i.e., should they stay only on the local link
 > or be forwarded to all links in the NETLMM domain? If
 > we don't know yet, then the safer thing to say at this
 > time is: "An AR SHOULD NOT forward packets sent by a
 > MN to a link-local unicast address."

 On Thursday 01 June 2006 10:32, Julien Laganier wrote:
 > Fred,
 >
 > My feeling is that NetLMM or not, a link is a link.
 >
 > Even if one can see NetLMM as providing a kind of subnet emulation
 > on multiple links, we are not bridging links together (that would
 > be below the network layer.)
 >
 > Hence my opinion is that NetLMM should not change the fact that
 > link-locals (unicast or multicast) are confined to the link they
 > originate from. This would be consistent with the IPv6 addressing
 > architecture (RFC4291) which states that:
 >
 >    Routers must not forward any packets with Link-Local source or
 >    destination addresses to other links.
 >
 > and:
 >
 >    Link-Local multicast scope spans the same topological region as
 >    the corresponding unicast scope.

 On Thursday 01 June 2006 17:46, Templin, Fred L wrote:
 > Julien,
 >
 > I think I can buy this rationale. It further clarifies
 > the point that we are glueing together multiple links
 > at the IP layer, i.e., multi-link subnet. Based on this,
 > maybe the text should just cite the RFC4291 passages
 > directly, but I'm OK either way.

 Resolution: add the subsection below to the document.

 4.4.3.  Forwarding Packets

    [RFC4291] states that:

       Routers must not forward any packets with Link-Local source or
       destination addresses to other links.

       Link-Local multicast scope spans the same topological region as
       the corresponding unicast scope.

    This specification does not modify that behavior, i.e. an AR MUST NOT
    forward packets sent by a MN from or to a link-local address (unicast
    or multicast.)

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/25>
netlmm <http://tools.ietf.org/wg/netlmm/>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm